/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Hproductosucursal;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface HproductosucursalFacadeLocal {

    void create(Hproductosucursal hproductosucursal);

    void edit(Hproductosucursal hproductosucursal);

    void remove(Hproductosucursal hproductosucursal);

    Hproductosucursal find(Object id);

    List<Hproductosucursal> findAll();

    List<Hproductosucursal> findRange(int[] range);

    int count();

}
